{nix-doom-emacs-module, ...}: {
  home-manager.users.tristand = {pkgs, ...}: {
    imports = [
      nix-doom-emacs-module
    ];

    nix = {
      settings.experimental-features = ["nix-command" "flakes"];
    };

    dconf.settings = {
      "org/virt-manager/virt-manager/connections" = {
        autoconnect = ["qemu:///system"];
        uris = ["qemu:///system"];
      };
    };

    programs.alacritty = {
      enable = true;
      settings = {
        window.opacity = 0.88;
        window.dimensions = {
          lines = 40;
          columns = 150;
        };
      };
    };

    programs.doom-emacs = {
      enable = true;
      doomPrivateDir = ./doom.d;
    };

    programs.fish.enable = true;

    programs.git = {
      enable = true;
      userName = "Tristan Druyen";
      userEmail = "tristan@vault81.de";
      aliases = {
        ci = "commit";
        co = "checkout";
        s = "status";
      };
    };

    services.emacs = {
      enable = true;
    };

    home.packages = with pkgs; [
      alejandra
      atool
      alacritty
      bitwarden
      brave
      btop
      direnv
      firefox
      jellyfin-media-player
      neofetch
      kate
      rust-motd
      signal-desktop
      statix
      tailscale
      thunderbird
    ];

    home.stateVersion = "23.05";
  };
}
